# Uses of Class
com.databend.jdbc.ParamMarker

Packages that use ParamMarker
Package
Description
com.databend.jdbc

## Uses of ParamMarker in com.databend.jdbc

Methods in com.databend.jdbc that return types with arguments of type ParamMarker
Modifier and Type
Method
Description
`List<ParamMarker>`
RawStatement.`getParamMarkers()`
Method parameters in com.databend.jdbc with type arguments of type ParamMarker
Modifier and Type
Method
Description
`static RawStatement`
RawStatement.`of(String sql, List<ParamMarker> paramPositions, String cleanSql)`
Constructor parameters in com.databend.jdbc with type arguments of type ParamMarker
Modifier
Constructor
Description
``
`NonQueryRawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)`
``
`QueryRawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)`
`protected`
`RawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)`
``
`SetParamRawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions, org.apache.commons.lang3.tuple.Pair<String,String> additionalProperty)`